org.icefaces.ace.util.collections

## Class AllPredicate

- java.lang.Object
- - org.icefaces.ace.util.collections.AllPredicate

- All Implemented Interfaces:
    java.io.Serializable, Predicate, PredicateDecorator

      public final class AllPredicate
      extends java.lang.Object
      implements Predicate, PredicateDecorator, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllPredicate(Predicate[] predicates)` Constructor that performs no validation.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(java.lang.Object object)` Evaluates the predicate returning true if all predicates return true.
    `static Predicate` | `getInstance(java.util.Collection predicates)` Factory to create the predicate.
    `static Predicate` | `getInstance(Predicate[] predicates)` Factory to create the predicate.
    `Predicate[]` | `getPredicates()` Gets the predicates, do not modify the array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllPredicate

          public AllPredicate(Predicate[] predicates)

      Constructor that performs no validation. Use `getInstance` if you want that.
      Parameters:
        `predicates` - the predicates to check, not cloned, not null

  - ### Method Detail

    - #### getInstance

          public static Predicate getInstance(Predicate[] predicates)

      Factory to create the predicate.

      If the array is size zero, the predicate always returns true. If the array is size one, then that predicate is returned.

      Parameters:
        `predicates` - the predicates to check, cloned, not null
      Returns:
        the `all` predicate
      Throws:
        `java.lang.IllegalArgumentException` - if the predicates array is null
        `java.lang.IllegalArgumentException` - if any predicate in the array is null

    - #### getInstance

          public static Predicate getInstance(java.util.Collection predicates)

      Factory to create the predicate.

      If the collection is size zero, the predicate always returns true. If the collection is size one, then that predicate is returned.

      Parameters:
        `predicates` - the predicates to check, cloned, not null
      Returns:
        the `all` predicate
      Throws:
        `java.lang.IllegalArgumentException` - if the predicates array is null
        `java.lang.IllegalArgumentException` - if any predicate in the array is null

    - #### evaluate

          public boolean evaluate(java.lang.Object object)

      Evaluates the predicate returning true if all predicates return true.
      Specified by:
        `evaluate` in interface `Predicate`
      Parameters:
        `object` - the input object
      Returns:
        true if all decorated predicates return true

    - #### getPredicates

          public Predicate[] getPredicates()

      Gets the predicates, do not modify the array.
      Specified by:
        `getPredicates` in interface `PredicateDecorator`
      Returns:
        the predicates
      Since:
        Commons Collections 3.1

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.